import { DataAnnotation } from './DataAnnotation';
import { Property } from './Property';
import { Record } from './Record';
/**
 * Utility for working with Records
 */
export declare class RecordUtil {
    static newRecord(id: string, properties: Property[], annotations?: DataAnnotation[]): Record;
    static isRecord(o: any): boolean;
    static unionRight(l1: Array<Property>, l2: Array<Property>): Array<Property>;
}
